@echo OFF
rem  * *******************************************************************
rem  *               TXVRECE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text    - Read variable ASCII/Text,write variable Record Sequential
rem  * Author  - SimoTime Technologies
rem  * Created - 2003/04/24
rem  * Updated - 2011/03/15
rem  * Version - 04.01.20
rem  *
rem  * This procedure uses the following Command Files.
rem  *   1. Env1BASE.CMD - provides a single point for setting commonly
rem  *                     used environment variables.
rem  *   2. SimoNOTE.CMD - provides a consistent process for displaying
rem  *                     messages to the screen and writing to a log
rem  *                     or journal file.
rem  *
rem  * This set of programs illustrates the use of COBOL programs to read
rem  * an, ASCII/Text file and create a Record Sequential file using
rem  * variable length records.
rem  *
rem  * The COBOL program is compiled with the ASSIGN(EXTERNAL) directive.
rem  * This provides for external file mapping of the file names.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
rem  *                     ************
rem  *                     * TXVRECE1 *
rem  *                     ********cmd*
rem  *                          *
rem  *                          *
rem  *                     ************     ************
rem  *                     * if EXIST ******* CUSTLCSV *
rem  *                     *******stmt*  *  ******erase*
rem  *                          *
rem  *                          *
rem  *    ************     ************     ************
rem  *    * GETLSEQ  ******* TXVRECC1 ******* PUTRVRL *
rem  *    *******lffl*     ********cbl*     *******rvlr*
rem  *                          *
rem  *                          *
rem  *                     ************
rem  *                     *   EOJ    *
rem  *                     ********cmd*
rem  *
rem  * Note-1: RVLR=Record Sequential with Variable-Length-Records.
rem  * Note-2: LFFL=Line Sequential with Fixed-Field-Length format.
rem  *
rem  * ********************************************************************
rem  * Step 1 of 3, Prepare the Environment...
rem  *
     call ..\Env1BASE
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set JobName=TXVRECE1
rem  *
     call SimoNOTE "*******************************************************%JobName%"
     call SimoNOTE "Starting JobName %JobName%, User is %USERNAME%"
rem  * *******************************************************************
rem  * Step 2 of 3, Map File Names and Execute the Convert Program.
rem  *
     set GETLSEQ=%BaseLib1%\DATA\TXT1\GETLSEQ1.TXT
     set PUTRVLR=%BaseLib1%\DATA\WRK1\PUTRVLR1.DAT
     if exist %PUTRVLR% erase %PUTRVLR%
:CblCsvC1
     run TXVRECC1
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not %JobStatus% == 0000 goto :EojNok
rem  *
     if exist %PUTRVLR% goto :EojAok
     set JobStatus=0020
     goto :EojNok
rem  * *******************************************************************
rem  * Step 3 of 3, End of Job Processing.
rem  *
:EojAok
     call SimoNOTE "DataTake GETLSEQ=%GETLSEQ%"
     call SimoNOTE "DataMake PUTRVLR=%PUTRVLR%"
     call SimoNOTE "Finished JobName %JobName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %JobName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SYSOUT is %SYSOUT%"
     if not "%1" == "nopause" pause
