@echo OFF
rem  * *******************************************************************
rem  *               TXVRECE8.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text    - Create an ASCII/Text file for Testing Purposes
rem  * Author  - SimoTime Technologies
rem  * Created - 2003/04/24
rem  * Updated - 2011/03/15
rem  * Version - 04.01.20
rem  *
rem  * This procedure uses the following Command Files.
rem  *   1. Env1BASE.CMD - provides a single point for setting commonly
rem  *                     used environment variables.
rem  *   2. SimoNOTE.CMD - provides a consistent process for displaying
rem  *                     messages to the screen and writing to a log
rem  *                     or journal file.
rem  *
rem  * This script illustrates the use of Windows "echo" command to
rem  * create an ASCII/Text file with variable text strings.
rem  *
rem  * This script will run on a Personal Computer with Windows.
rem  *
rem  *                     ************
rem  *                     * TXVRECE8 *
rem  *                     ********cmd*
rem  *                          *
rem  *                          *
rem  *                     ************     ************
rem  *                     * if EXIST ******* GETLSEQ  *
rem  *                     *******stmt*  *  ******erase*
rem  *                          *
rem  *                          *
rem  *                     ************     ************
rem  *                     *   echo   ******* GETLSEQ  *
rem  *                     ********cbl*     *******rseq*
rem  *                          *
rem  *                          *
rem  *                     ************
rem  *                     *   EOJ    *
rem  *                     ********cmd*
rem  *
rem  * Note-1: LSEQ=Line Sequential.
rem  *
rem  * ********************************************************************
rem  * Step 1 of 3, Prepare the Environment...
rem  *
     call ..\Env1BASE
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set JobName=TXVRECE8
rem  *
     call SimoNOTE "*******************************************************%JobName%"
     call SimoNOTE "Starting JobName %JobName%, User is %USERNAME%"
rem  * *******************************************************************
rem  * Step 2 of 3, Map File Name and Create the Test File.
rem  *
     set GETLSEQ=%BaseLib1%\DATA\TXT1\GETLSEQ1.TXT
     if exist %GETLSEQ% erase %GETLSEQ%
     echo FIRST>>%GETLSEQ%
     echo abcdefghijklmnopqrstuvwxyz>>%GETLSEQ%
     echo 0123456789>>%GETLSEQ%
     echo LAST>>%GETLSEQ%
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not %JobStatus% == 0000 goto :EojNok
rem  *
     if exist %GETLSEQ% goto :EojAok
     set JobStatus=0020
     goto :EojNok
rem  * *******************************************************************
rem  * Step 3 of 3, End of Job Processing.
rem  *
:EojAok
     call SimoNOTE "DataMake GETLSEQ=%GETLSEQ%"
     call SimoNOTE "Finished JobName %JobName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %JobName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SYSOUT is %SYSOUT%"
     if not "%1" == "nopause" pause
